Bug 485726 - vino-server only listens to local v6 address
vino-server only listens to local v6 address
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 10:58 EST by Bas Mevissen
Modified: 2014-06-18 05:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 463782
Environment:
Last Closed: 2009-12-18 02:56:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bas Mevissen 2009-02-16 10:58:23 EST
Clone created because this problem applies to F10 as well.

+++ This bug was initially created as a clone of Bug #463782 +++

Description of problem:

Trying to set up vnc to only listen to local addresses using the "Only allow local connections" tick box; it seems to turn off v4 vis:

$ netstat -tulpn | grep 5900
tcp        0      0 ::1:5900                    :::*                        LISTEN      8419/vino-server    
$ telnet localhost6 5900
Trying ::1...
Connected to localhost6.
Escape character is '^]'.
RFB 003.007
^]c
telnet> c
Connection closed.
$ telnet localhost 5900
Trying 127.0.0.1...
telnet: connect to address 127.0.0.1: Connection refused
$ 

i.e., the v6 address is connectable but not the v4 address.  With the local-only box unchecked, both are accessable (but for everyone :-():

$ netstat -tulpn | grep 5900
tcp        0      0 :::5900                     :::*                        LISTEN      8419/vino-server    
$ telnet localhost 5900
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
RFB 003.007
^]c
telnet> c
Connection closed.
[cagney@tortura ~]$ telnet localhost6 5900
Trying ::1...
Connected to localhost6.
Escape character is '^]'.
RFB 003.007
^]c
telnet> c
Connection closed.
$ 

(I half wonder is the problem is comming from either the kernel or packet filtering)

--- Additional comment from abuse@basmevissen.nl on 2008-12-29 09:38:07 EDT ---

Work-around is to allow vino-server to not to restrict to "only allow local connections" and configure the firewall to restrict the access. The latter is the default when the firewall is enabled.
Comment 1 Bug Zapper 2009-11-18 06:07:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:56:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Need Real Name 2012-03-28 06:59:33 EDT
see Bug 703009

Note You need to log in before you can comment on or make changes to this bug.